Subject: Re: linux-next: build failure after merge of the ext4 tree

From: "Yann E. MORIN" <[email-masked]>
Date: Thu, 8 Aug 2013 21:16:50 +0200

Stephen, All,

On 2013-08-08 10:36 +1000, Stephen Rothwell spake thusly:
> On Thu, 8 Aug 2013 10:22:28 +1000 Stephen Rothwell <[email-masked]>
> wrote:
> >
> > More quick testing with an empty file: v3.9 is OK, v3.10 gives
> > CONFIG_MODULES unset.

Sorry, I don't understand the above. Can you elaborate on what you did,
what you got, what expected, so I can try to reproduce and fix this,
please?

> Bisecting gives:
> 
> cfa98f2e0ae956feca935573e977d7661a9561b9 is the first bad commit
> commit cfa98f2e0ae956feca935573e977d7661a9561b9
> Author: Yann E. MORIN <[email-masked]>
> Date:   Wed Apr 24 22:00:04 2013 +0200
> 
>     kconfig: do not override symbols already set
>     
>     For randconfig, if a list of required symbols is specified with
>     KCONFIG_ALLCONFIG, such symbols do not "have a value" as per
>     sym_has_value(), but have the "valid" flag set.
>     
>     Signed-off-by: "Yann E. MORIN" <[email-masked]>
> 
> And reverting that commit in v3.10 gives me CONFIG_MODULES=y.

Regards,
Yann E. MORIN.

-- 
.-----------------.--------------------.------------------.--------------------.
|  Yann E. MORIN  | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software  Designer | \ / CAMPAIGN     |  ___               |
| +33 223 225 172 `------------.-------:  X  AGAINST      |  \e/  There is no  |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL    |   v   conspiracy.  |
'------------------------------^-------^------------------^--------------------'